<?php
include_once('php/php_headers.php');
if($_SESSION['ekdhlos_level']<>0)header('Location: insert_messages.php');
session_null('edit_users');
$scripts = '<script src="js/formfunctions.js" type="text/javascript"></script>';
$scripts .= '<script>function deletechecked(){var answer = confirm("Είστε σίγουρος ότι θέλετε να συνεχίσετε τη διαγραφή;");if (answer) document.messages.submit(); return false;}</script>';

html_header('Επεξεργασία χρηστών',$scripts);
$f_name=$no_f_name=$l_name=$no_l_name=$email=$no_email=$pass=$no_pass=$pass2=$no_pass2=$level1=$level2=$no_level=$enable1=$enable2=$no_enable=$msg='';
require_once "pagination/Paginated.php";
require_once "pagination/DoubleBarLayout.php";
echo '<h1 class="center">Εύρεση χρήστη</h1>
<span id="tools2">
<a href="insert_users.php" title="Εισαγωγή χρηστών"><img alt="Εισαγωγή χρηστών" src="images/icon-insert-big.png" /></a>
<a href="edit_users.php" title="Επεξεργασία χρηστών"><img alt="Επεξεργασία χρηστών" src="images/Write2.png" /></a>
<a href="logs.php" title="Τελευταίες ενέργειες"><img alt="Τελευταίες ενέργειες" src="images/logs-big.png" /></a>
</span>';
/* Κρατά τις επιλογές που έδωσε ο χρήστης κατά την αναζήτηση */
if(isset($_POST['search'])){
	if($_POST['type']=="all"){$_SESSION['check1'] = "selected";$_SESSION['check2'] = "";$_SESSION['check3'] = "";$_SESSION['check4'] = "";}
	else if($_POST['type']=="f_name"){$_SESSION['check1'] = "";$_SESSION['check2'] = "selected";$_SESSION['check3'] = "";$_SESSION['check4'] = "";}
	else if($_POST['type']=="l_name"){$_SESSION['check1'] = "";$_SESSION['check2'] = "";$_SESSION['check3'] = "selected";$_SESSION['check4'] = "";}
	else if($_POST['type']=="email"){$_SESSION['check1'] = "";$_SESSION['check2'] = "";$_SESSION['check3'] = "";$_SESSION['check4'] = "selected";}
	$_SESSION['search_term'] = $_POST['search_term'];
	$_SESSION['type'] = $_POST['type'];
	if(!empty($search_term)) $_SESSION['search_term'] = clean($_SESSION['search_term']);
	$_SESSION['edit_users'] = get("","users",$_SESSION['type'],$_SESSION['search_term'],"all");	
	$_GET['page'] = 1;
}
if(isset($_SESSION['edit_users']))
$_SESSION['edit_users'] = get("","users",$_SESSION['type'],$_SESSION['search_term'],"all");	
$search_form = '
<form method="post" action="edit_users.php" accept-charset="utf-8" class="more_left_8 width">
	<table>
		<tr>
			<td>
				<h2>Κατηγορία:&nbsp;</h2>
			</td>
			<td>
				<select class="drop" name="type">
					<option value="all" '.$_SESSION['check1'].'>Όλοι οι χρήστες</option>
					<option value="f_name" '.$_SESSION['check2'].'>Αναζήτηση με το όνομα</option>
					<option value="l_name" '.$_SESSION['check3'].'>Αναζήτηση με το επώνυμο</option>
					<option value="email" '.$_SESSION['check4'].'>Αναζήτηση με το email</option>
				</select>
			</td>
			<td>
				<input type="text" class="field3" name="search_term" value="'.$_SESSION['search_term'].'"/>
			</td>
			<td>
				<input type="submit" name="search" class="searchbox" title = "Αναζήτηση" value="" />
			</td>
		</tr>
	</table>
</form>
<hr /><br />';
echo $search_form;
/* Εμφάνιση αποτελεσμάτων αναζήτησης */
if(!isset($_GET['edit_id']) && !isset($_GET['password_id']) && !isset($_GET['group_id']) && !isset($_GET['devices_id'])){
	if(isset($_SESSION['edit_users'])){
		if($_SESSION['edit_users']){
			$page = $_GET['page'];
			$pagedResults = new Paginated($_SESSION['edit_users'], 8, $page);
			echo '
			<table id="gradient-style">
				<thead>
					<tr>
						<th scope="col" class="width_td">Όνομα</th>
						<th scope="col" class="width_td">Επώνυμο</th>
						<th scope="col">Κατάσταση</th>
						<th scope="col" class="center">Μηνύματα</th>
						<th scope="col">Συσκευές</th>
						<th scope="col">Ομάδες</th>
						<th scope="col" class="center">Επεξεργασία</th>
						<th scope="col" class="width_td center">Αλλαγή κωδικού</th>
					</tr>
				</thead>';
			while($row = $pagedResults->fetchPagedRow()) {
				if($row['enable']=="yes") $katastasi = "<span class=\"h8\">Ενεργός</span>";
				else $katastasi = "<span class=\"h9\">Ανενεργός</span>";
				$messages = sunolo_table($row['id'],"message");
				$devices = sunolo_table($row['id'],"device");
				$groups = sunolo_table($row['id'],"groups");
				
				echo "
				<tbody>
					<tr>
						<td class=\"width_td]\">{$row['f_name']}</td>
						<td class=\"width_td]\">{$row['l_name']}</td>
						<td>$katastasi</td>";
						
						echo "<td class=\"center\">";
						if($messages==0) echo '<span title="Ο χρήστης δεν έχει στείλει ακόμα μηνύματα!">'.$messages.'</span>';
						else echo "
						<form method=\"post\" action=\"edit_all_messages.php\" accept-charset=\"utf-8\"><input type=\"hidden\" name=\"user\" value=\"{$row['id']}\"/><input name=\"asdf\" type=\"submit\" title=\"Κάντε κλικ για να επεξεργαστείτε τα μηνύματα του χρήστη!\" class=\"no_border\" value=\"$messages\"/></form></td>";
						
						echo "<td class=\"center\">";
						if($devices==0) echo '<span title="Ο χρήστης δεν έχει στη διάθεσή του καμία συσκευή!">'.$devices.'</span>';
						else echo '
						<a href="edit_users.php?devices_id='.$row['id'].'" title="Κάντε κλικ για να επεξεργαστείτε τις συσκευές του χρήστη!"><span class="blue">'.$devices.'</span></a></td>';

						echo "<td class=\"center\">";
						if($groups==0) echo '<span title="Ο χρήστης δεν έχει στη διάθεσή του καμία ομάδα!">'.$groups.'</span>';
						else echo '
						<a class="blue" href="edit_users.php?group_id='.$row['id'].'" title="Κάντε κλικ για να επεξεργαστείτε τις ομάδες του χρήστη!"><span class="blue">'.$groups.'</span></a></td>';
						
						echo"
						<td class=\"center\"><a href=\"edit_users.php?edit_id={$row['id']}\"><img src=\"images/icon-edit.png\" title=\"Κάντε κλικ για να επεξεργαστείτε τα στοιχεία του χρήστη!\" /></a></td>
						<td class=\"center\"><a href=\"edit_users.php?password_id={$row['id']}\"><img src=\"images/icon-password.png\" title=\"Κάντε κλικ για να επεξεργαστείτε τον κωδικό του χρήστη\"/></a></td>
					</tr>";
			}	
			echo '
				</tbody>';
			$pagedResults->setLayout(new DoubleBarLayout());
			echo '
				<tfoot>';
				$pagedResults->setLayout(new DoubleBarLayout());
				echo '
				<tr>
					<td colspan="8">';
				if(sizeof($_SESSION['edit_users'])>8){
					echo $pagedResults->fetchPagedNavigation();
				}
				echo '
					</td>
				</tr>
				</tfoot>
			</table>';
		}
		else echo '<div id="msg_error" class="more_left_2">Δεν βρέθηκαν αποτελέσματα!</div>';
	}
}
/* Επεξεργασία χρήστη */
if(isset($_GET['edit_id'])){
	if ( (filter_var($_GET['edit_id'], FILTER_VALIDATE_INT)) && ($_GET['edit_id'] ==  strval(intval($_GET['edit_id'])))){
			$edit_id = clean($_GET['edit_id']); 
	}
	else {
			$edit_id = null;
	}	
} 
else { 
	$edit_id = null;
}
if(isset($edit_id) && is_numeric($edit_id) &&  check("users", clean($edit_id),"id") && $edit_id<>$_SESSION['ekdhlos_userid']){
	$edit_id = clean($edit_id);
	$results = get('','users','id',$edit_id,'all');
	if(isset($_POST['edit'])){
		$insert1=$insert2=$insert3=$insert4=$insert5=false;
		$f_name  = clean($_POST['f_name']);
		$l_name  = clean($_POST['l_name']);
		$email   = clean($_POST['email']);
		
		if($_POST['level'] == 1){$level = 1; $level1 = 'checked';$level2 = '';}
		else{$level = 0; $level1 = '';$level2 = 'checked';}
		
		if($_POST['enable'] == 1){$enable = "yes"; $enable1 = 'checked';$enable2 = '';}
		else{$enable = "no"; $enable1 = '';$enable2 = 'checked';}
		
		if(!isset($_POST['f_name']) || empty($_POST['f_name'])) $no_f_name = '<h3 class="triangle-border left more_top">Το όνομα απαιτείται!</h3>';
		else if (preg_match("/[^A-Za-z0-9\' ']/", $_POST['f_name']))$no_f_name = '<h3 class="triangle-border left more_top">Μη αποδεκτοί χαρακτήρες!</h3>';
		else if(mb_strlen($_POST['f_name'], 'UTF-8') <2) $no_f_name = '<h3 class="triangle-border left more_top">Εισάγετε πάνω από δύο χαρακτήρες!</h3>';
		else if(mb_strlen($_POST['f_name'], 'UTF-8') >=11) $no_f_name = '<h3 class="triangle-border left more_top">Εισάγετε μέχρι 10 χαρακτήρες!</h3>';
		else if ((invalid_char($_POST['f_name']) <> null)){$no_f_name = invalid_char($_POST['f_name']);}
		else $insert1 = true;
		
		if(!isset($_POST['l_name']) || empty($_POST['l_name'])) $no_l_name = '<h3 class="triangle-border left more_top">Το επώνυμο απαιτείται!</h3>';
		else if (preg_match("/[^A-Za-z0-9\' ']/", $_POST['l_name']))$no_l_name = '<h3 class="triangle-border left more_top">Μη αποδεκτοί χαρακτήρες!</h3>';
		else if(mb_strlen($_POST['l_name'], 'UTF-8') <2) $no_l_name = '<h3 class="triangle-border left more_top">Εισάγετε πάνω από δύο χαρακτήρες!</h3>';
		else if(mb_strlen($_POST['l_name'], 'UTF-8') >=11) $no_l_name = '<h3 class="triangle-border left more_top">Εισάγετε μέχρι 10 χαρακτήρες!</h3>';
		else if ((invalid_char($_POST['l_name']) <> null)){$no_l_name = invalid_char($_POST['l_name']);}
		else $insert2 = true;
		
		if(!isset($_POST['email']) || empty($_POST['email'])) $no_email = '<h3 class="triangle-border left more_top">Το email απαιτείται!</h3>';
		else if (!preg_match("/^[_\.0-9a-zA-Z-]+@([0-9a-zA-Z][0-9a-zA-Z-]+\.)+[a-zA-Z]{2,6}$/i", $_POST['email'])) 
		$no_email = '<h3 class="triangle-border left more_top">Το email δεν είναι έγκυρο!</h3>';
		else if(check_mail($_POST['email'],$results[0]['email']))
		$no_email = '<h3 class="triangle-border left more_top">Το email υπάρχει ήδη!</h3>';
		else $insert3 = true;

		if($insert1 && $insert2 && $insert3){
			if (update('users',$f_name,$l_name,$email,$level,$enable,$edit_id)){
				$msg = '<div id="msg_ok">Η ενημέρωση έγινε με επιτυχία!</div><br />'; 
				echo "<script>setTimeout('window.location.href=\"edit_users.php\"', 2000)</script>";
			}
			else $msg = '<div id="msg_error">Σφάλμα κατά την ενημέρωση!</div><br />';
		}
	}
	else{
		$f_name = $results[0]['f_name'];
		$l_name = $results[0]['l_name'];
		$email  = $results[0]['email'];
		if($results[0]['enable'] == 'yes')$enable1 = 'checked';
		else $enable2 = 'checked';
		if($results[0]['level'] == 0)$level2 = 'checked';
		else $level1 = 'checked';
	}

echo'
<div id="tools3">
<a href="edit_users.php?edit_id='.$edit_id.'" title="Επεξεργασία στοιχείων"><img alt="Επεξεργασία στοιχείων" src="images/icon-edit.png" /></a>
<a href="edit_users.php?password_id='.$edit_id.'" title="Αλλαγή κωδικού"><img alt="Αλλαγή κωδικού" src="images/icon-password.png" /></a>
<a href="edit_users.php?devices_id='.$edit_id.'" title="Επεξεργασία συσκευών"><img alt="Επεξεργασία συσκευών" src="images/dev.png" /></a>
<a href="edit_users.php?group_id='.$edit_id.'" title="Επεξεργασία ομάδων"><img alt="Επεξεργασία ομάδων" src="images/group.png" /></a>
<input type="hidden" id="id" value="'.$edit_id.'" /></div>';
$form = '
<form method="post" accept-charset="utf-8" class="more_left_8 width">
<h1>Επεξεργασία στοιχείων:</h1>
<br />
 <ol class="hh2">
      <li><label for="field1">Όνομα χρήστη:</label></li>
      <li><input type="text" onblur="f_name_validator2(); l_name_validator2(); email_validator2();" onkeyup="f_name_validator2(); l_name_validator2(); email_validator2();" id="field1" class="field" name="f_name" value="'.$f_name.'" required/></li>
      <li id="f_msg"><span id="f_validate">'.$no_f_name.'</span></li>
    </ol>
    <ol class="hh2">
      <li><label for="field2">Επώνυμο χρήστη:</label></li>
      <li><input type="text" onblur="f_name_validator2(); l_name_validator2(); email_validator2();" onkeyup="f_name_validator2(); l_name_validator2(); email_validator2();" id="field2" class="field" name="l_name" value="'.$l_name.'" required/></li>
      <li id="l_msg"><span id="l_validate">'.$no_l_name.'</span></li>
    </ol>
    <ol class="hh2">
      <li><label for="field3">Email:</label></li>
      <li><input type="text" onblur="f_name_validator2(); l_name_validator2(); email_validator2();" onkeyup="f_name_validator2(); l_name_validator2(); email_validator2();" id="field3" class="field" name="email" value="'.$email.'" required/></li>
      <li id="e_msg"><span id="e2_validate">'.$no_email.'</span></li>
    </ol>
    <ol class="hh2">
      <li><label for="field4">Επίπεδο χρήστη:</label>
		<h5>
			<input id="field4" onclick="f_name_validator2(); l_name_validator2(); email_validator2();" type="radio" name="level" value="1" '.$level1.'/>&nbsp;Απλός&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			<input id="field4b" onclick="f_name_validator2(); l_name_validator2(); email_validator2();" type="radio" name="level" value="0" '.$level2.'/>&nbsp;Administrator
		</h5>'.$no_level.'</li>
    </ol>
    <ol class="hh2">
      <li><label for="field5">Κατάσταση:</label>
		<h5>
			<input id="field5" onclick="f_name_validator2(); l_name_validator2(); email_validator2();" type="radio" name="enable" value="1" '.$enable1.'/>&nbsp;Ενεργός &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			<input id="field5b" onclick="f_name_validator2(); l_name_validator2(); email_validator2();" type="radio" name="enable" value="0" '.$enable2.'/>&nbsp;Ανενεργός&nbsp;&nbsp;
		</h5>'.$no_enable.'</li>
    </ol>
<input type="submit" onclick="f_name_validator2(); l_name_validator2(); email_validator2(); checkall2();" name="edit" id="submit" class="button" value="Αλλαγή">
'.$msg.'</form>';
echo $form;
}
else if(isset($edit_id) && (!is_numeric($edit_id) ||  check("users", clean($edit_id),"id")==0) || $edit_id == $_SESSION['ekdhlos_userid']){
	echo '<br /><br /><div id="msg_error" class="more_left_2">Δεν υπάρχει χρήστης με αυτό το id!</div>';
	echo "<script>setTimeout('window.location.href=\"edit_users.php\"', 2000)</script>";
}
/* Επεξεργασία κωδικού */
if(isset($_GET['password_id'])){
	if ( (filter_var($_GET['password_id'], FILTER_VALIDATE_INT)) && ($_GET['password_id'] ==  strval(intval($_GET['password_id'])))){
			$password_id = clean($_GET['password_id']); 
	}
	else {
			$password_id = null;
	}	
} 
else { 
	$password_id = null;
}
if(isset($password_id) && is_numeric($password_id) &&  check("users", clean($password_id),"id")){
	$results = get('','users','id',$password_id,'all');
	if(isset($_POST['edit_pass'])){
		$insert1=$insert2=false;
		$pass    = clean($_POST['pass']);
		$pass2   = clean($_POST['pass2']);
		
		if(!isset($_POST['pass'] ) || empty($_POST['pass'] )) $no_pass = '<h3 class="triangle-border left more_top">Το password απαιτείται!</h3>';
		else if(mb_strlen($_POST['pass'],ENCODING)<5) $no_pass = '<h3 class="triangle-border left more_top">Απαιτούνται τουλάχιστον 5 χαρακτήρες!</h3>';
		else $insert1 = true;
		
		if(!isset($_POST['pass2'] ) || empty($_POST['pass2'] )) $no_pass2 = '<h3 class="triangle-border left more_top">Η επιβεβαίωση password απαιτείται!</h3>';
		else if(mb_strlen($_POST['pass2'],ENCODING)<5) $no_pass2 = '<h3 class="triangle-border left more_top">Απαιτούνται τουλάχιστον 5 χαρακτήρες!</h3>';
		else if(isset($_POST['pass']) && ($_POST['pass'] != $_POST['pass2'])) $no_pass2 = '<h3 class="triangle-border left more_top">Τα password δεν ταιριάζουν!</h3>';
		else $insert2 = true;
		
		if($insert1 && $insert2){
		
		
			$subject = "New password";
			$to = get('email','users','id',$password_id,'one');
			$user = $_SESSION['ekdhlos_f_name'].' '.$_SESSION['ekdhlos_l_name'];
			$body = "
	Ο διαχειριστής: ".$user.", σας άλλαξε τον κωδικό πρόσβασης.\n
	Ο νέος κωδικός πρόσβασης είναι: ".$pass.".\n
	Αν επιθυμείτε να τον αλλάξετε μπορείτε να το πραγματοποιήσετε απο τις προσωπικές σας ρυθμίσεις. \n";
		
		
			if (update('users',sha1($pass.'ekdhlos'),$password_id,"change_password")){
				if (@mail($to, $subject, $body)) {
					$msg = '<div id="msg_ok">Η ενημέρωση έγινε με επιτυχία!</div><br />';
				} 
				else {
					$msg = '<div id="msg_error">Σφάλμα κατά την ενημέρωση!</div><br />';
				}
				echo "<script>setTimeout('window.location.href=\"edit_users.php\"', 2000)</script>";				
			}
			else $msg = '<div id="msg_error">Σφάλμα κατά την ενημέρωση!</div><br />';
		}
	}
echo'
<div id="tools3">
<a href="edit_users.php?edit_id='.$password_id.'" title="Επεξεργασία στοιχείων"><img alt="Επεξεργασία στοιχείων" src="images/icon-edit.png" /></a>
<a href="edit_users.php?password_id='.$password_id.'" title="Αλλαγή κωδικού"><img alt="Αλλαγή κωδικού" src="images/icon-password.png" /></a>
<a href="edit_users.php?devices_id='.$password_id.'" title="Επεξεργασία συσκευών"><img alt="Επεξεργασία συσκευών" src="images/dev.png" /></a>
<a href="edit_users.php?group_id='.$password_id.'" title="Επεξεργασία ομάδων"><img alt="Επεξεργασία ομάδων" src="images/group.png" /></a>
</div>';
	$form = '
	<form method="post" accept-charset="utf-8" class="more_left_8 width">
	<h1>Αλλαγή κωδικού πρόσβασης: <br />'.get('f_name','users','id',$password_id,'one').' '.get('l_name','users','id',$password_id,'one').'</h1><br />
		<ol class="hh2">
		  <li><label for="field4">Password:</label></li>
		  <li><input type="password" onblur="pass1_validator2(this.value);" id="field4" class="field" name="pass" value="'.$pass.'" required/></li>
		  <li id="p1_msg"><span id="p1_validate">'.$no_pass.'</span></li>
		</ol>
		<ol class="hh2">
		  <li><label for="field5">Επιβεβαίωση:</label></li>
		  <li><input type="password" onblur="pass2_validator2(this.value);" id="field5" class="field" name="pass2" value="'.$pass2.'" required/></li>
		  <li id="p2_msg"><span id="p2_validate">'.$no_pass2.'</span></li>
		</ol>
		<input type="submit" onclick="checkall3();" name="edit_pass" id="submit" class="disable" value="Αλλαγή">'.$msg.'

	</form>';
	echo $form;
}
else if(isset($password_id)&& (!is_numeric($password_id) ||  check("users", clean($password_id),"id")==0)){
	echo '<br /><br /><div id="msg_error" class="more_left_2">Δεν υπάρχει χρήστης με αυτό το id!</div>';
	echo "<script>setTimeout('window.location.href=\"edit_users.php\"', 2000)</script>";
}

/* Επεξεργασία συσκευών */
if(isset($_GET['devices_id'])){
	if ( (filter_var($_GET['devices_id'], FILTER_VALIDATE_INT)) && ($_GET['devices_id'] ==  strval(intval($_GET['devices_id'])))){
			$devices_id = clean($_GET['devices_id']); 
	}
	else {
			$devices_id = null;
	}	
} 
else { 
	$devices_id = null;
}
if(isset($devices_id) && is_numeric($devices_id) &&  check("users", clean($devices_id),"id")){
$sql = "SELECT * FROM device WHERE user_id='$devices_id'";
$result = mysql_query($sql) or die('error_synolo');
echo'
<div id="tools3">
<a href="edit_users.php?edit_id='.$devices_id.'" title="Επεξεργασία στοιχείων"><img alt="Επεξεργασία στοιχείων" src="images/icon-edit.png" /></a>
<a href="edit_users.php?password_id='.$devices_id.'" title="Αλλαγή κωδικού"><img alt="Αλλαγή κωδικού" src="images/icon-password.png" /></a>
<a href="edit_users.php?devices_id='.$devices_id.'" title="Επεξεργασία συσκευών"><img alt="Επεξεργασία συσκευών" src="images/dev.png" /></a>
<a href="edit_users.php?group_id='.$devices_id.'" title="Επεξεργασία ομάδων"><img alt="Επεξεργασία ομάδων" src="images/group.png" /></a>
</div>

<h1 class="more_left_8 width">Συσκευές του χρήστη: <br />'.get('f_name','users','id',$devices_id,'one').' '.get('l_name','users','id',$devices_id,'one').'</h1>
<br />
<form class="more_left_8 width">
<fieldset>';
if (mysql_num_rows($result) > 0) {
	echo '<table id="gradient-style" class="width3">
		<thead><tr>	<th scope="col" class="width_td center">Id συσκευής</th><th scope="col" class="width_td center">Επεξεργασία</th><th scope="col" class="width_td center">Αλλαγή Κωδικού</th><th scope="col" class="width_td center">Διαγραφή</th>
		</tr></thead><tbody>';
		while($row = mysql_fetch_array($result)){
			echo '<tr><td class="center">';
			if($row['status']=="no") echo '<img alt="Ανενεργή" src="images/exclamation-red.png" title="Η συσκευή έχει τεθεί ως ανενεργή!" /><i>'.$row['id'].'</i>';
			else echo $row['id'];
			echo '</td><td class="center"><a target="_blank" href="edit_devices.php?edit_id='.$row['id'].'"><img alt="Επεξεργασία" src="images/icon-edit.png" title="Κάντε κλικ για να επεξεργαστείτε τη συσκευή!"/></a></td>';
			echo "
				<td class=\"center\"><a target=\"_blank\" href=\"edit_devices.php?password_id={$row['id']}\"><img alt=\"Αλλαγή κωδικού\" src=\"images/icon-password.png\" title=\"Κάντε κλικ για να αλλάξετε τον κωδικό της συσκευής!\" /></a></td>
				<td class=\"center\"><a target=\"_blank\" href=\"edit_devices.php?delete_id={$row['id']}\" onclick=\"return deletechecked();\"><img alt=\"Διαγραφή\" src=\"images/icon-delete.png\" title=\"Κάντε κλικ για να διαγράψετε τη συσκευή!\"/></a></td>";
			
			echo "</tr>";
		}
		echo '</tbody><tfoot><tr><td colspan="4"></td></tr></tfoot></table>';
}
else{
	echo '<h3 class="center">Ο χρήστης δεν έχει στη διάθεση του καμία συσκευή!</h3>';
}
echo'
</fieldset></form>
';
echo "<script>setTimeout('window.location.href=\"edit_users.php?devices_id=".$devices_id."\"', 20000)</script>";
}
else if(isset($devices_id)&& (!is_numeric($devices_id) ||  check("users", clean($devices_id),"id")==0)){
	echo '<br /><br /><div id="msg_error" class="more_left_2">Δεν υπάρχει χρήστης με αυτό το id!</div>';
	echo "<script>setTimeout('window.location.href=\"edit_users.php\"', 2000)</script>";
}
/* Επεξεργασία ομάδων */
if(isset($_GET['group_id'])){
	if ( (filter_var($_GET['group_id'], FILTER_VALIDATE_INT)) && ($_GET['group_id'] ==  strval(intval($_GET['group_id'])))){
			$group_id = clean($_GET['group_id']); 
	}
	else {
			$group_id = null;
	}	
} 
else { 
	$group_id = null;
}
if(isset($group_id) && is_numeric($group_id) &&  check("users", clean($group_id),"id")){
$sql = "SELECT * FROM groups WHERE user_id='$group_id'";
$result = mysql_query($sql) or die('error_synolo');
echo'
<div id="tools3">
<a href="edit_users.php?edit_id='.$group_id.'" title="Επεξεργασία στοιχείων"><img alt="Επεξεργασία στοιχείων" src="images/icon-edit.png" /></a>
<a href="edit_users.php?password_id='.$group_id.'" title="Αλλαγή κωδικού"><img alt="Αλλαγή κωδικού" src="images/icon-password.png" /></a>
<a href="edit_users.php?devices_id='.$group_id.'" title="Επεξεργασία συσκευών"><img alt="Επεξεργασία συσκευών" src="images/dev.png" /></a>
<a href="edit_users.php?group_id='.$group_id.'" title="Επεξεργασία ομάδων"><img alt="Επεξεργασία ομάδων" src="images/group.png" /></a>
</div>
<h1 class="more_left_8 width">Ομάδες του χρήστη: <br />'.get('f_name','users','id',$group_id,'one').' '.get('l_name','users','id',$group_id,'one').'</h1>
<br />
<form class="more_left_8 width">
<fieldset>';
if (mysql_num_rows($result) > 0) {
	echo '
		<table id="gradient-style">
			<thead>
			<tr>
				<th scope="col" class="width_td">Όνομα ομάδας</th>
				<th scope="col" class="width_td center">Επεξεργασία</th>
				<th scope="col" class="width_td center">Ορατότητα από χρήστες</th>
				<th scope="col" class="width_td center">Διαγραφή</th>
			</tr>
			</thead>
			<tbody>';
	while($row = mysql_fetch_array($result)){
		echo "
			<tr>
				<td>";
				if($row['status']=="no") 
				echo "<img alt=\"Ανενεργή\" src=\"images/exclamation-red.png\" title=\"Η ομάδα έχει τεθεί ως ανενεργή!\" />";
				echo $row['g_name']."</td>
				<td class=\"center\"><a target=\"_blank\" href=\"edit_groups.php?edit_id={$row['id']}\"><img alt=\"Επεξεργασία\" src=\"images/icon-edit.png\" /></a></td>
				<td class=\"center\"><a target=\"_blank\" href=\"edit_groups.php?visibility_id={$row['id']}\"><img alt=\"Ορατότητα σε χρήστες\" src=\"images/User_3.png\" /></a></td>
				<td class=\"center\"><a target=\"_blank\" href=\"edit_groups.php?delete_id={$row['id']}\" onclick=\"return deletechecked();\"><img alt=\"Διαγραφή\" src=\"images/icon-delete.png\" /></a></td>
			</tr>";		
	}
	echo '
			</tbody>
			<tfoot>
			<tr>
				<td colspan="4"></td>
			</tr>
			</tfoot>
		</table>';
}
else{
	echo '<h3 class="center">Ο χρήστης δεν έχει εισάγει ομάδες!</h3>';
}
echo'
</fieldset></form>';
echo "<script>setTimeout('window.location.href=\"edit_users.php?group_id=".$group_id."\"', 20000)</script>";
}
else if(isset($group_id)&& (!is_numeric($group_id) ||  check("users", clean($group_id),"id")==0)){
	echo '<br /><br /><div id="msg_error" class="more_left_2">Δεν υπάρχει χρήστης με αυτό το id!</div>';
	echo "<script>setTimeout('window.location.href=\"edit_users.php\"', 2000)</script>";
}
html_footer();
?>